Kepler - Bug #5636

outreach/demos/Database/Database_example_1.xml workflow fails
06/27/2012 12:13 PM - Derik Barseghian

Status: Resolved Start date: 06/27/2012
Priority: Normal Due date:

Assignee: jianwu jianwu % Done: 0%
Category: general Estimated time: 0.00 hour
Target version: 24.0 Spent time: 0.00 hour
Bugzilla-ld: 5636

Description

| get an error when trying to execute this workflow:

ptolemy.kernel.util.lllegalActionException: fire exception DB connection
in .Database_example_1.0pen Database Connection

Because:

java.sql.SQLException: socket creation error

in .Database_example_1.0pen Database Connection

at org.geon.OpenDBConnection.fire(OpenDBConnection.java:269)

at ptolemy.actor.AtomicActor.iterate(AtomicActor.java:466)

at ptolemy.actor.sched.StaticSchedulingDirector.fire(StaticSchedulingDirector.java:192)
at ptolemy.actor.CompositeActor.fire(CompositeActor.java:460)

at ptolemy.actor.Manager.iterate(Manager.java:761)

at ptolemy.actor.Manager.execute(Manager.java:352)

at ptolemy.actor.Manager.run(Manager.java:1173)

at ptolemy.actor.Manager$PtolemyRunThread.run(Manager.java:1716)

Caused by: ptolemy.kernel.util.lllegalActionException: java.sgl.SQLException: socket creation error

in .Database_example_1.0pen Database Connection

at org.geon.OpenDBConnection._connect(OpenDBConnection.java:367)
at org.geon.OpenDBConnection.fire(OpenDBConnection.java:261)

... 7 more
at ptolemy.actor.sched.StaticSchedulingDirector.fire(StaticSchedulingDirector.java:192)
at ptolemy.actor.CompositeActor.fire(CompositeActor.java:460)

at ptolemy.actor.Manager.iterate(Manager.java:761)
at ptolemy.actor.Manager$PtolemyRunThread.run(Manager.java:1716)

History

#1 - 06/27/2012 04:47 PM - jianwu jianwu
fixed at version 30079.

The reason for the bug is that the default hsql database port has been changed to be 9004 (see bug 5609).

#2 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5636
